
/**
* Sptsel Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"
export default {

    "sptstm": defaultSptstm,
    "dlaxq": defaultDlaxq,
    "usfmod.labtxt": defaultUsfmodLabtxt,
    "usfmod.flt": defaultUsfmodFlt,
    "usfmod.shwflt": defaultUsfmodShwflt,
    "dlmft": defaultDlmft,
    "butimg": defaultButimg,
    "dflg": defaultDflg,
    "yptinf": defaultYptinf,
    "usfmod.usr.extkey": defaultUsfmodUsrExtkey,
    "chkinc": defaultCheckbox,
    "chkpen": defaultCheckbox,
    "chkcor": defaultCheckbox,
    "chkaut": defaultCheckbox,
    "chkdel": defaultCheckbox,
    "chktco": defaultCheckbox,
    "chkcan": defaultCheckbox,
}
function defaultSptstm() {

}
function defaultDlaxq() {
}
function defaultUsfmodLabtxt() {
}
function defaultUsfmodFlt() {
}
function defaultUsfmodShwflt() {
}
function defaultDlmft() {
}
function defaultButimg() {
}
async function defaultDflg() {
    const that = this;
    that.executeDefault("dflg").then(res => {
        that.model.dflg = res.data.dflg;
    })
}
async function defaultYptinf() {
    const that = this;
    that.executeDefault("yptinf").then(res => {
        //TODO 处理数据逻辑
    })
}
function defaultUsfmodUsrExtkey() {
}
async function defaultCheckbox() {
    const that = this;
    that.executeDefault("sptstm").then(res => {
        //TODO 处理数据逻辑
        that.$refs.Menu.stmData.data = res.data.sptstm.rows;
    })
}
